Home » Developer & Programmer » Precompilers, OCI & OCCI » libwtc9.so, needed by libclntsh.so, not found (try using -rpath or -rpath)
libwtc9.so, needed by libclntsh.so, not found (try using -rpath or -rpath) [message #216698] Tue, 30 January 2007 01:04
tian_jut
Messages: 1
Registered: August 2006
Junior Member
Hi guys,

I am building an OCI9 application on Linux/Solaris/HPUX, it uses minimum OCI calls, so I just use -lclntsh for oracle libs in linker option.

All things are fine on Solaris&HPUX, but on linux, the linker reports below error:
/usr/bin/ld: warning: libwtc9.so, needed by ./libclntsh.so, not found (try using -rpath or -rpath-link)
./libclntsh.so: undefined reference to `wtcstu'
./libclntsh.so: undefined reference to `wtclkm'
./libclntsh.so: undefined reference to `wtcsrin'
./libclntsh.so: undefined reference to `wtcMerr'
./libclntsh.so: undefined reference to `wtcsrin0'
./libclntsh.so: undefined reference to `wtcsrfre'
./libclntsh.so: undefined reference to `wtcLerr'

I find 275934.1 on metalink, the similar error. but it says it is due to the wrong versions of the ld and gcc commands.

I tried new complier(gcc version 3.4.3)&linker(GNU ld version 2.15), that does not help.

If I add -lwtc9 in linker option, everything is fine. but that's strange, why it is not required on Solaris/HPUX?

Thanks in advance!
Previous Topic: loading data from flat file into remote oracle table
Next Topic: Pro *C compiler error when using NULLS LAST... Help needed
Goto Forum:
  


Current Time: Thu Dec 08 18:34:27 CST 2016

Total time taken to generate the page: 0.10982 seconds